## org.hsqldb.jdbc
Class JDBCColumnMetaData

    java.lang.Object
      org.hsqldb.jdbc.JDBCColumnMetaData

    public final class JDBCColumnMetaData

extends Object

Provides a site for holding the ResultSetMetaData for individual ResultSet columns. In 2.0 it is implemented as a simple data structure derived from calls to JDBCResultSetMetaData methods. purposes.

Since:
  HSQLDB 1.7.2
Author:
  Campbell Boucher-Burnet (boucherb@users dot sourceforge.net), Fred Toussi (fredt@users dot sourceforge.net)

Field Summary
`String` `catalogName` The column's table's catalog name.
`String` `columnClassName` The fully-qualified name of the Java class whose instances are manufactured if the method ResultSet.getObject is called to retrieve a value from the column.
`int` `columnDisplaySize` The column's normal max width in chars.
`String` `columnLabel` The suggested column title for use in printouts and displays.
`String` `columnName` The column's name.
`int` `columnType` The column's SQL type.
`boolean` `isAutoIncrement` Whether the value of the column are automatically numbered.
`boolean` `isCaseSensitive` Whether the column's value's case matters.
`boolean` `isCurrency` Whether the values in the column are cash values.
`boolean` `isDefinitelyWritable` Whether a write on the column will definitely succeed.
`int` `isNullable` The nullability of values in the column.
`boolean` `isReadOnly` Whether the column's values are definitely not writable.
`boolean` `isSearchable` Whether the column's values can be used in a where clause.
`boolean` `isSigned` Whether values in the column are signed numbers.
`boolean` `isWritable` Whether it is possible for a write on the column to succeed.
`int` `precision` The column's value's number of decimal digits.
`int` `scale` The column's value's number of digits to right of the decimal point.
`String` `schemaName` The column's table's schema.
`String` `tableName` The column's table's name.

Constructor Summary
`JDBCColumnMetaData()`

Method Summary
`String` `toString()` Retrieves a String representation of this object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### catalogName

    public String catalogName

  The column's table's catalog name.

### columnClassName

    public String columnClassName

  The fully-qualified name of the Java class whose instances are manufactured if the method ResultSet.getObject is called to retrieve a value from the column.

### columnDisplaySize

    public int columnDisplaySize

  The column's normal max width in chars.

### columnLabel

    public String columnLabel

  The suggested column title for use in printouts and displays.

### columnName

    public String columnName

  The column's name.

### columnType

    public int columnType

  The column's SQL type.

### precision

    public int precision

  The column's value's number of decimal digits.

### scale

    public int scale

  The column's value's number of digits to right of the decimal point.

### schemaName

    public String schemaName

  The column's table's schema.

### tableName

    public String tableName

  The column's table's name.

### isAutoIncrement

    public boolean isAutoIncrement

  Whether the value of the column are automatically numbered.

### isCaseSensitive

    public boolean isCaseSensitive

  Whether the column's value's case matters.

### isCurrency

    public boolean isCurrency

  Whether the values in the column are cash values.

### isDefinitelyWritable

    public boolean isDefinitelyWritable

  Whether a write on the column will definitely succeed.

### isNullable

    public int isNullable

  The nullability of values in the column.

### isReadOnly

    public boolean isReadOnly

  Whether the column's values are definitely not writable.

### isSearchable

    public boolean isSearchable

  Whether the column's values can be used in a where clause.

### isSigned

    public boolean isSigned

  Whether values in the column are signed numbers.

### isWritable

    public boolean isWritable

  Whether it is possible for a write on the column to succeed.

Constructor Detail

### JDBCColumnMetaData

    public JDBCColumnMetaData()

Method Detail

### toString

    public String toString()

  Retrieves a String representation of this object.

  Overrides:
    `toString` in class `Object`
  Returns:
    a Sring representation of this object

Copyright © 2001 - 2013 HSQL Development Group.